Bug 151091 - copy chart from liberoffice calc to libreoffice writer is copied wrongly loosing values
Summary: copy chart from liberoffice calc to libreoffice writer is copied wrongly loos...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.4.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.3 target:7.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-09-20 18:40 UTC by elias estatistics
Modified: 2022-11-28 13:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments
calc file with chart (13.81 KB, application/vnd.oasis.opendocument.spreadsheet)
2022-09-20 18:40 UTC, elias estatistics
Details
how chart copied to my writer document. (19.17 KB, application/vnd.oasis.opendocument.text)
2022-09-20 18:41 UTC, elias estatistics
Details

Note You need to log in before you can comment on or make changes to this bug.
Description elias estatistics 2022-09-20 18:40:38 UTC
Created attachment 182577 [details]
calc file with chart

copy chart from liberoffice calc to libreoffice writer is copied wrongly loosing values

Try to copy the chart from calc to libreoffice writer. 

Then chart looses its values with some irrelevant values.

Version: 7.4.1.2 / LibreOffice Community
Build ID: 3c58a8f3a960df8bc8fd77b461821e42c061c5f0
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 elias estatistics 2022-09-20 18:41:06 UTC
Created attachment 182578 [details]
how chart copied to my writer document.

how chart copied to my writer document.
Comment 2 elias estatistics 2022-09-20 18:42:31 UTC
As GDI or BMP is copied OK.

Note I copied my user profile from 7.4.0dev to 7.4.1.2.
Comment 3 Rafael Lima 2022-09-21 12:29:29 UTC
Repro with

Version: 7.4.1.2 / LibreOffice Community
Build ID: 40(Build:2)
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Ubuntu package version: 1:7.4.1~rc2-0ubuntu0.22.04.1~lo1
Calc: threaded

Indeed the chart in Writer lost its data. Just take a look at the Data Table of the pasted chart.

NOT REPRO IN

Version: 7.2.7.2 / LibreOffice Community
Build ID: 8d71d29d553c0f7dcbfa38fbfda25ee34cce99a2
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: CL

In LO 7.2 the chart is pasted correctly in Writer. So this is a possible regression.
Comment 4 Rafael Lima 2022-09-21 12:35:47 UTC
Also NOT REPRO with

Version: 7.3.6.2 / LibreOffice Community
Build ID: c28ca90fd6e1a19e189fc16c05f8f8924961e12e
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: CL

So this is something that happened in the transition to LO 7.4.x
Comment 5 raal 2022-09-21 17:21:02 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one?
Thanks
 f0a3724f40835db6f7ece8e0e71b2f154aa2c73f is the first bad commit
commit f0a3724f40835db6f7ece8e0e71b2f154aa2c73f
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Apr 19 18:30:37 2022 +0200

    source fd2ca9607431fc6ca49e37ab6fef228aa72da5f9

https://git.libreoffice.org/core/+/fd2ca9607431fc6ca49e37ab6fef228aa72da5f9
Comment 6 Commit Notification 2022-09-22 19:00:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c3bc67bffd1e0b9bdd60ef274a6d5e59101d322d

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-09-23 09:34:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/a81b6299deca88a61fe4d8c5909c02375c9f8620

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-09-23 10:37:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-2":

https://git.libreoffice.org/core/commit/3f0be840432453f407751398ccfab62a2243fc4e

tdf#151091 Revert "tdf#148635 cache some chart stuff"

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-11-28 13:13:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f4e1180b3a616c234d0de7db8cea7c682777243

tdf#151091: chart2_uichart: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.